Skip to main content
POST
Renew a resumable upload session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Renewed resumable upload URL

id
string<uuid>
required
uploadId
string<uuid>
required
uploadUrl
string
required

Fresh create-only (ifGenerationMatch=0) GCS resumable upload URL. Stream the full declared bytes starting from byte offset 0.

gcsPath
string
required
filename
string
required
fileSize
string
required

bytes, stringified bigint

status
enum<string>
required
Available options:
uploading
existing
enum<boolean>
required
Available options:
false
createdAt
string<date-time> | null
widthPx
integer | null
heightPx
integer | null
autoSegment
boolean